Subject: Re: [bug#40753] gnu: spacefm: Add missing dependencies.

From: Raghav Gururajan <[email-masked]>
Date: Wed, 22 Apr 2020 12:28:33 -0400

Hi Jan!

> > BLOCKERS: #40630 and #40752.  
> 
> ...what does this mean?

They are dependencies of this patch, that needs to be pushed before this patch.

> It builds OK without this patch; it does not seem that any dependencies
> are missing.  Could it be that these dependencies change or amend its
> behaviour?

It is to change and amend the behaviour. It adds missing features and fixes
icons+privilege-management+disk-management.

> After applying this patch, spacefm does not build for me, I get
> 
> --8<---------------cut here---------------start------------->8---
> $ ./pre-inst-env guix build spacefm
> ice-9/eval.scm:223:20: In procedure proc:
> error: eject: unbound variable
> hint: Did you forget a `use-modules' form?
> --8<---------------cut here---------------end--------------->8---

That's correct. Eject is provided by one of the blockers.

> I am feeling a bit uncomfortable about the fact that you pinged me to
> "push" this patch, it seems it needs a bit more attention than that.

I apologize. I spent whole day to create these patches and throughly testing
them. If I missed anything, please understand it would not have been
intentional. Also, there is a v2 patch in #40753 thread that has 3 blockers.

Thank you for considering my request.

Regards,
RG.